Maschine 2.15.2 R2 freezes when browsing Kits

Necutan
Necutan Member Posts: 7 Newcomer
edited June 2022 in Maschine

Hello dear community,

I am a relative newbie and have a problem that is getting on my last nerve and causing me to panic. :-)


Briefly about the setup:

MBP M1 Max, machine MK3, machine 2.15.2 (R2). Machine MK3 via USB hub to Mac, hard drive directly to Mac.

Hard disk is recognized properly, here I had suspected the error in a defective cable, but this does not seem to be the case.

I have a lot (!) NI Extensions, which are all on an external hard drive (San Disk Extreme, 1 TB). Recently, without update or other changes, machine freezes as soon as I browse through my extensions. Both when I go through the software browser and when I go through the hardware browser.

This is strange, since this error appeared out of nowhere for no reason. I did not update anything, wether the Mac nor Maschine SW.

I have so far deleted the Machine folder in Mac/Library/Application Support/NI/ and restarted, the error continues to pop up EVERY TIME. (SupportVideo from NI)

I would appreciate any helpful suggestions and send sunny greetings

Nec 

Best Answer

  • Kaiwan_NI
    Kaiwan_NI Administrator Posts: 2,301 admin
    Answer ✓

    Hi @Necutan unfortunately there's an issue with M1 Max at the moment. Downgrading to 2.14 should fix it. You can find the installer on this post here.

Answers

  • Blindeddie
    Blindeddie Member Posts: 1,559 Expert

    have you tried temporarily connecting the MK3 directly to the computer? (instead of through the hub just to rule it out). How is the SSD formatted, "ExFat" or one of the Mac Formats. (if formatted ExFat, you may want to reformat as it is not the most optimal format.) do you have any anit-virus running that does real time scanning (if so exclude the ext. drive) Last but not least are you running Maschine in Rosetta 2 mode?

  • Kaiwan_NI
    Kaiwan_NI Administrator Posts: 2,301 admin
    Answer ✓

    Hi @Necutan unfortunately there's an issue with M1 Max at the moment. Downgrading to 2.14 should fix it. You can find the installer on this post here.

  • Kaldosh
    Kaldosh Member Posts: 173 Advisor

    Have the same issue on my intel computer…

  • Necutan
    Necutan Member Posts: 7 Newcomer

    Dear community, first of all I want to apologize for my very long response time and latency, but unfortunately I was busy with private issues. 

    Then I would like to thank @BLINDEDDIE, whose tips I tried by the way and became aware of another problem, which had nothing to do with the context of the question. But also for this a polite thanks.


    Resetting the machine to 2.14 will probably be the next thing I try today. I'll give feedback if the error has been fixed.

    @Kaiwan_NI Thank you for your feedback. How do I get to know if future updates take into account the M1Max again and the error has been fixed NI-side? Or if I could make a wish here: please mention this explicitly in the release notes. :-)

    Overall, I will feel the same way as many of your users, I find it a bit surprising that the adjustments to the M1 technology are so time-consuming and pray for the day of the completed porting. :-)

  • Kaiwan_NI
    Kaiwan_NI Administrator Posts: 2,301 admin

    Hi @Necutan yes it'll definitely be mentioned in a release note. You can also click to follow that thread as well so you're notified when someone leaves a comment there, or when NI team has an update. As to when a fix will be out I don't have a timeline yet unfortunately.

  • edur
    edur Member Posts: 1 Newcomer

    Having the same issue, looking forward to the full Apple Silicon compatibility (and retina display support). I'll try to downgrade as you suggest.

Back To Top